#include <arduino.h>
#include "wiring_config.h"

/** Descr: "Print" an integer value modulo 8 on 3 LEDs in binary. This simply
     means to set each LED according to the related bit of the value.
     Pins where LEDs are statically defined, not passed as parameters.
    Params:
      - v : value to "print" on the LEDs.
    Ret: none.
*/
void LED_of_int (unsigned short v)
{
  digitalWrite (LED2_PIN, v & 0x4) ;
  digitalWrite (LED1_PIN, v & 0x2) ;
  digitalWrite (LED0_PIN, v & 0x1) ;
}
